Skip to content
Snippets Groups Projects
Verified Commit 9ddce749 authored by nd's avatar nd
Browse files
parents d52f9269 80f78a8b
No related branches found
No related tags found
No related merge requests found
......@@ -69,6 +69,8 @@ export:
# type: rsync
# port: 22
# key: "/etc/backup-client/id_ed25519"
# Bandwidth limit for upload, 20mbit/s by default
bwlimit: 2500
# Settings to create a remote sftp user. Use this for restic sftp repos
remote_sftp_user:
......
......@@ -28,6 +28,7 @@ backups:
years: 3
export:
destinations: []
bwlimit: 2500
remote_sftp_user:
name: backup
host: ~
......@@ -41,6 +42,7 @@ backups:
'/tmp/*': true
'/var/tmp/*': true
'/var/cache/*': true
'/var/lib/php/sessions/*': true
'/root/.ansible/*': true
include_files:
'/': true
......@@ -2,6 +2,7 @@
set_fact:
backup_backend: "{% if backups.mode in ['standalone-restic', 'hypervisor-restic'] %}restic{% else %}False{% endif %}"
backup_executor: "{% if backups.mode in ['vm-via-hypervisor'] %}False{% else %}True{% endif %}"
backup_restic_cache: "{% if backups.backends.restic.repo_type == 'local' %}False{% else %}True{% endif %}"
- name: create config folder
file:
......@@ -106,7 +107,7 @@
state: directory
owner: root
group: root
mode: 0700
mode: 0711
- name: create a remote sftp user if enabled
when:
......
......@@ -5,7 +5,8 @@ set -euo pipefail
# restic backend
source /etc/backup-client/restic.env
restic check --read-data --cleanup-cache
restic check --read-data \
--cleanup-cache{% if not backup_restic_cache %} --no-cache{% endif %}
{% endif %}
......
......@@ -10,7 +10,7 @@ echo "Starting to export backups..."
{% if backups.backends.restic.repo_type == "local" %}
{% for i in backups.export.destinations if i.type == "rsync" %}
echo "exporting to {{ i.host }}"
rsync -h -r -a --append-verify --delete --stats -e "ssh -p {{ i.port|d(22) }} -i {{ i.key|d('/etc/backup-client/id_ed25519') }}" "${RESTIC_REPOSITORY}/" "{{ i.user }}@{{ i.host }}:{{ i.remotepath }}"
rsync -h -r -a --append-verify --delete --stats{%if backups.export.bwlimit %} --bwlimit={{ backups.export.bwlimit }}{% endif %} -e "ssh -p {{ i.port|d(22) }} -i {{ i.key|d('/etc/backup-client/id_ed25519') }}" "${RESTIC_REPOSITORY}/" "{{ i.user }}@{{ i.host }}:{{ i.remotepath }}"
{% endfor %}
{% else %}
echo "Repo is not local. Skipped."
......
......@@ -7,7 +7,7 @@ source /etc/backup-client/retention.env
# restic backend
source /etc/backup-client/restic.env
restic forget \
--cleanup-cache \
--cleanup-cache {% if not backup_restic_cache %} --no-cache{% endif %} \
--verbose \
--prune \
--group-by "host,paths,tags" \
......
......@@ -8,6 +8,7 @@ test -f "/etc/backup-client/enabled" || { echo "Standalone backup is disabled";
source /etc/backup-client/restic.env
restic backup \
--cleanup-cache {% if not backup_restic_cache %} --no-cache{% endif %} \
--verbose \
--exclude-caches \
--one-file-system \
......
......@@ -122,6 +122,7 @@ set -euo pipefail
# restic backend
source /etc/backup-client/restic.env
restic backup \
--cleanup-cache {% if not backup_restic_cache %} --no-cache{% endif %} \
--verbose \
--host "$DOMAIN" \
--exclude-file "/etc/backup-client/vms/$DOMAIN/exclude_files" \
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment